Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Class PDFFilterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.fop.pdf.PDFFilterException

All Implemented Interfaces:
  java.io.Serializable

public class PDFFilterException
extends java.lang.Exception

PDF Filter exception. This is used for exceptions relating to use a PDF filter.

Author:
  Eric SCHAEFFER
See Also:
  Serialized Form

Constructor Summary
`PDFFilterException()` Create a basic filter exception.
`PDFFilterException(java.lang.String message)` Create a filter exception with a message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PDFFilterException

    public PDFFilterException()

  Create a basic filter exception.

### PDFFilterException

    public PDFFilterException(java.lang.String message)

  Create a filter exception with a message.

Parameters:
  `message` - the error message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.